# -*- rpm-spec -*-
# $Id: kernel-fix-drivers-net.spec,v 1.9 2004/02/02 15:59:45 vsu Exp $
#

%define patch_name	kernel-fix-drivers-net

Name: %patch_name
Version: 2004.02.02
Release: alt1

Summary: %patch_name - Linux kernel NIC drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# Jeff Garzik's patches from 
# ftp://ftp.kernel.org/pub/linux/kernel/people/jgarzik/patchkits/2.4/

# Update 3c59x driver to  v. LK1.1.17
%source  2 02_3c59x.upgrade.patch
# Compilation fix for comx driver
%source  3 03_comx-driver-compile-1
# Missing MODULE_LICENSE fixes
%source  4 04_module_license.patch

%source  5	05_sis900-pci_find_device-fix.patch
%source  6	06_pppoe-oops.patch
%source  7	07_b44-update.patch
%source  8	08_sis900-dev_kfree_skb_irq.patch
%source  9	09_tulip-mcast-fix.patch
%source 10	10_pppoe-skb-leak.patch
%source 11	11_pcnet_cs-update.patch
%source 12	12_orinoco_pci-id.patch
%source 13	13_tulip_3CSOHO100B-TX.patch
%source 14	14_tulip-pci-id.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux kernel NIC drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.02-alt1
- Added:
  + 13_tulip_3CSOHO100B-TX.patch: tulip: add 3com 3CSOHO100B-TX PCI ID
  + 14_tulip-pci-id.patch: tulip: add another PCI ID

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.16-alt1
- Added:
  + 12_orinoco_pci-id.patch: add Prism 3 ID to orinoco_pci.

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 10_pppoe-skb-leak.patch: Do not leak SKB if sock_queue_rcv_skb()
    fails.
  + 11_pcnet_cs-update.patch: fixed duplex selection for DL10019 cards
    in pcnet_cs driver.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Added:
  + 09_tulip-mcast-fix.patch - fix multicast list handling for tulip.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 05_sis900-pci_find_device-fix.patch
  + 06_pppoe-oops.patch
  + 07_b44-update.patch
  + 08_sis900-dev_kfree_skb_irq.patch

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 04_module_license.patch: add missing MODULE_LICENSE

* Tue Sep 02 2003 Rider <rider@altlinux.ru> 2003.09.02-alt1
- removed 01_2.4.21-rc8-netdrvr1.patch

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt4
- spec typos fixed

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt3
- spec improvements: using %%source and %%install_patches macroses
- 3c59x update added

* Mon Jun 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt2
- comx driver compilation fix added

* Tue Jun 17 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt1
- Initial release

